import request from '@/plugin/axios'
//查询列表
export function getUserRightsList (data) {
  return request({
    url: '/carRegister/getCarRegisterByPage',
    method: 'post',
    data
  })
}
// 点击获取人员信息
export function getMessageById (data) {
  return request({
    url: '/carRegister/getNumberUserById',
    method: 'post',
    data
  })
}
// 上传图片
export function uploadImg (data) {
  return request({
    url: '/image/img',
    method: 'post',
    data
  })
}
// 新增修改
export function saveOrUpdateUserRights (data) {
  return request({
    url: '/carRegister/saveOrUpdCarRegister',
    method: 'post',
    data
  })
}
// 获取车辆类别下拉
export function getCarCateOptions (data) {
  return request({
    url: '/carUserType/getCarTypePullDown',
    method: 'post',
    data
  })
}
// 根据id查询详细
export function getRightsListById (data) {
  return request({
    url: '/carRegister/getCarRegisterById',
    method: 'post',
    data
  })
}

// 删除
export function onDeleteRights (data) {
  return request({
    url: '/carRegister/deleteCarRegister',
    method: 'post',
    data
  })
}